/*
 * usage.h - Simple usage printing utilities.
 *
 * Copyright (c) 2006 Oracle Corporation.  All rights reserved.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License, version 2 as published by the Free Software Foundation.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 */


#ifndef _AS_USAGE_H
#define _AS_USAGE_H

/* Source files using this header must define the following strings */
extern const char *program_name;
extern const char *program_usage;

void error(const char *err, ...);
void usage(int rc, const char *err, ...);
void version(void);

#endif  /* _AS_USAGE_H */
